#include "afficher_commande.h"
#include "ui_afficher_commande.h"
#include"commande.h"
afficher_commande::afficher_commande(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::afficher_commande)
{
    ui->setupUi(this);
}

afficher_commande::~afficher_commande()
{
    delete ui;
}

void afficher_commande::on_afficher_clicked()
{
     ui->tab_commande->setModel(tmpcommande->afficher());
}

void afficher_commande::on_pushButton_2_clicked()
{
     ui->tab_commande->setModel(tmpcommande->sortnumC());
}

void afficher_commande::on_pushButton_clicked()
{
    int numC = ui->rechercher->text().toInt();
           if(tmpcommande->verifierExnumC(numC)==false)
           {QMessageBox::warning(this,"ERREUR","cette commande n'existe pas");}
           else
          ui->tab_commande->setModel(tmpcommande->cherchernumC(numC));

}
